1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Problems updating mysql 5.045-7 -> 5.0.58.1 on CentOS 5.2

Discussion in 'Plesk for Linux - 8.x and Older' started by fvdijk, Nov 13, 2008.

  1. fvdijk

    fvdijk Guest

    0
     
    Hello,

    I m running Plesk 8.6 with CentOS 5.2
    I updated my php to 5.2.6 using the repo from atomicorp

    That worked great, the onlything i have now is when i do a yum update now, i get transaction errors on the update of MySQL

    Transaction Check Error:
    file /etc/my.cnf from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/charsets/ascii.xml from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/bin/mysql_tableinfo from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/info/mysql.info.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/my_print_defaults.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysql.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysql_find_rows.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysql_tableinfo.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysql_waitpid.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5
    file /usr/share/man/man1/mysql_config.1.gz from install of mysql-server-5.0.58-1.el5.art conflicts with file from package mysql-5.0.45-7.el5

    Error Summary


    Anybody an idea to solve this?
     
  2. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    You're on an x86_64 box right? That probably means youve got both the i386 and x86_64 packages installed on the same box. Try doing this:

    yum upgrade mysql.x86_64
     
  3. fvdijk

    fvdijk Guest

    0
     
    That's correct i am running both 32 and 64 bit mysql while i need this for running the stats of 4PSA Spamguardian

    Still the same error with:
    yum upgrade mysql.x86_64
    and
    yum update mysql.x86_64
     
  4. fvdijk

    fvdijk Guest

    0
     
    I have this problem on 3 machines, all running php 5.2.6 and repo's from atomicorp.
    All machines are running CentOS 5_64
     
  5. fvdijk

    fvdijk Guest

    0
     
    When i removed mysql.i386

    yum remove mysql.i386

    I was able to update my Mysql from 5.0.45.7 to 5.0.58.1 (latest)

    Now i tried to re-install mysql.i386 but the installer version is 5.0.45-7.el5 and that's of course the problem

    The reason i am running the 32 bit mysql is spamassassin's Spamguardian from 4PSA, i do not know if you need the 32 bit version also with Plesk Spamassassin.
     
  6. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    Nope, you don't need the 32-bit mysql client libraries on a 64-bit plesk box. Any time you do, its because the application wasn't compiled for 64-bit systems.
     
  7. fvdijk

    fvdijk Guest

    0
     
    OK I agree, but i am not able to compile the source of the software from 4PSA

    I have opened a ticket on there site

    I will keep you informed
     
Loading...